import fs from "node:fs";
import path from "node:path";
function loadSchema() {
  try {
    return fs.readFileSync(
      path.resolve(__dirname, "..", "..", "schema.graphqls"),
      "utf8"
    );
  } catch (err) {
    if (err instanceof Error && "code" in err && err.code === "ENOENT") {
      return fs.readFileSync(
        path.resolve(__dirname, "..", "schema.graphqls"),
        "utf8"
      );
    }
    throw err;
  }
}
const schema = loadSchema();
export {
  schema
};
